import { GameLogic } from "./GameLogic";

const {ccclass, property} = cc._decorator;

@ccclass
export default class DelayStop extends GameLogic {
    time = 10;
    call: Function;
    protected gameUpdate(dt: number): void {
        this.time -= dt;
        if(this.time <= 0 ){
            this.call && this.call();
        }
    }
}